﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace Xliff20FileType.Common
{
    class UnitInfo
    {
        public XElement UnitElement
        {
            get;
            set;
        }

        public List<OriginalData> OriginalData
        {
            get;
            set;
        }

        public OriginalData GetOriginalData(string id)
        {
            return OriginalData.FirstOrDefault(d => d.Id == id);
        }

        public OriginalData AddOriginalData(string contents)
        {
            return OriginalData.FirstOrDefault(d => d.Contents == contents)
            ?? new OriginalData { Id = GetNextId(), Contents = contents };
        }

        private string GetNextId()
        {
            int id = 1;
            while (GetOriginalData("d" + id) != null)
            {
                id++;
            }
            return "d" + id; ;
        }
    }
}
