﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Linq;

namespace Xliff20FileType.Parser
{
    class NodeSpec
    {
        public XmlNodeType NodeType
        {
            get;
            set;
        }

        public XName ElementName
        {
            get;
            set;
        }

        public override bool Equals(object obj)
        {
            NodeSpec other = (NodeSpec)obj;

            return other.NodeType == NodeType && ((other.ElementName == null && ElementName == null) || (other.ElementName.Equals(ElementName)));
        }

        public override int GetHashCode()
        {
            return (NodeType.ToString() + (ElementName != null ? ElementName.LocalName : "")).GetHashCode();
        }

        public override string ToString()
        {
            return NodeType.ToString() + ":" + (ElementName != null ? ElementName.LocalName : "");
        }
    }
}
