﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace Xliff20FileType.Common
{
    class XliffConstants
    {
        public const string Xliff20CoreNamespace = "urn:oasis:names:tc:xliff:document:2.0";
        public const string Xliff20FormatStyleNamespace = "urn:oasis:names:tc:xliff:fs:2.0";
        

        public static XName source = XName.Get("source", Xliff20CoreNamespace);
        public static XName target = XName.Get("target", Xliff20CoreNamespace);
        public static XName originalData = XName.Get("originalData", Xliff20CoreNamespace);
        public static XName data = XName.Get("data", Xliff20CoreNamespace);
        public static XName notes = XName.Get("notes", Xliff20CoreNamespace);
        public static XName note = XName.Get("note", Xliff20CoreNamespace);
        public static XName ph = XName.Get("ph", Xliff20CoreNamespace);
        public static XName pc = XName.Get("pc", Xliff20CoreNamespace);


        public static XName fs = XName.Get("fs", Xliff20FormatStyleNamespace);
    }
}
